<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Repository;

use Admin\Entity\SelfLocation;
use Admin\Entity\SelfLocationContent;
use Admin\Entity\SelfLocationMember;
use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\Query\Expr\Join;

class SelfLocationMemberRepository extends EntityRepository
{
    /**
     * 核销员列表
     * @param array $search
     * @return int|mixed|string
     */
    public function findMemberList($search = [])
    {
        $query = $this->getEntityManager()->createQueryBuilder();
        $query->select('m', 'c.locationName')
            ->from(SelfLocationMember::class, 'm')
            ->leftJoin(SelfLocationContent::class, 'c', Join::WITH, 'm.locationId = c.locationId')
            ->where('c.languageCode = :languageCode')->setParameter('languageCode', SHOP_FONT_LANGUAGE)
            ->orderBy('m.memberId', 'DESC');

        return $query->getQuery()->getResult();
    }
}