<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 优惠码内容
 * @ORM\Entity(repositoryClass="Operation\Repository\CouponCodeRuleContentRepository")
 * @ORM\Table(name="dbcart_coupon_code_rule_content")
 */
class CouponCodeRuleContent extends BaseEntity
{
    /**
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * @ORM\Column(name="coupon_code_rule_id", type="integer", length=11)
     */
    private $couponCodeRuleId;

    /**
     * 优惠码规则标题
     * @ORM\Column(name="coupon_code_title", type="string", length=150)
     */
    private $couponCodeTitle;

    /**
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getCouponCodeRuleId()
    {
        return $this->couponCodeRuleId;
    }

    /**
     * @param mixed $couponCodeRuleId
     */
    public function setCouponCodeRuleId($couponCodeRuleId): void
    {
        $this->couponCodeRuleId = $couponCodeRuleId;
    }

    /**
     * @return mixed
     */
    public function getCouponCodeTitle()
    {
        return $this->couponCodeTitle;
    }

    /**
     * @param mixed $couponCodeTitle
     */
    public function setCouponCodeTitle($couponCodeTitle): void
    {
        $this->couponCodeTitle = $couponCodeTitle;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}