<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Operation\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 充值码多语言内容
 * @ORM\Entity(repositoryClass="Operation\Repository\RechargeCodeRuleContentRepository")
 * @ORM\Table(name="dbcart_recharge_code_rule_content")
 */
class RechargeCodeRuleContent extends BaseEntity
{
    /**
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * @ORM\Column(name="code_rule_id", type="integer", length=11)
     */
    private $codeRuleId;

    /**
     * 充值规则标题
     * @ORM\Column(name="code_rule_title", type="string", length=200)
     */
    private $codeRuleTitle;

    /**
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getCodeRuleId()
    {
        return $this->codeRuleId;
    }

    /**
     * @param mixed $codeRuleId
     */
    public function setCodeRuleId($codeRuleId): void
    {
        $this->codeRuleId = $codeRuleId;
    }

    /**
     * @return mixed
     */
    public function getCodeRuleTitle()
    {
        return $this->codeRuleTitle;
    }

    /**
     * @param mixed $codeRuleTitle
     */
    public function setCodeRuleTitle($codeRuleTitle): void
    {
        $this->codeRuleTitle = $codeRuleTitle;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}